Search Results for

Show / Hide Table of Contents

# Interface ISeries

Describes a series of data that can be rendered into a GraphView>

###### Namespace: Terminal.Gui.Graphs

###### Assembly: Terminal.Gui.dll

##### Syntax

    public interface ISeries

### Methods

#### DrawSeries(GraphView, Rect, RectangleF)

Draws the `graphBounds` section of a series into the `graph` view `drawBounds`

##### Declaration

    void DrawSeries(GraphView graph, Rect drawBounds, RectangleF graphBounds)

##### Parameters

Type | Name | Description
--- | --- | ---
GraphView | graph | Graph series is to be drawn onto
Rect | drawBounds | Visible area of the graph in Console Screen units (excluding margins)
RectangleF | graphBounds | Visible area of the graph in Graph space units